// sNZVF[_[̓
struct PS_INPUT
{
	float3 normalW         : TEXCOORD0 ;
	float3 viewVecW        : TEXCOORD1 ;
} ;

// sNZVF[_[̏o
struct PS_OUTPUT
{
	float4 Color0           : SV_TARGET0 ;	// F
} ;


SamplerState cubeMapSampler            : register( s2 ) ;
TextureCube  cubeMapTexture            : register( t2 ) ;

SamplerState dynamicCubeMapSampler     : register( s1 ) ;
TextureCube  dynamicCubeMapTexture     : register( t1 ) ;



// main֐
PS_OUTPUT main( PS_INPUT PSInput )
{
	PS_OUTPUT PSOutput ;
	float3 vReflect ;
	float4 color ;

	vReflect = reflect( PSInput.viewVecW, PSInput.normalW ) ;
	color = 0.25f * cubeMapTexture.Sample( cubeMapSampler, vReflect ) +
	        0.75f * dynamicCubeMapTexture.Sample( dynamicCubeMapSampler, vReflect ) ;
//	color = cubeMapTexture.Sample( cubeMapSampler, PSInput.normalW ) ;

	PSOutput.Color0 = color ;
//	PSOutput.Color0.rgb = vReflect.rgb ;
//	PSOutput.Color0.rgb = PSInput.viewVecW.rgb ;
//	PSOutput.Color0.rgb = PSInput.normalW.rgb ;
	PSOutput.Color0.a = 1.0f ;

	return PSOutput ;
}


